Bug 1285717 - [RFE] Flexible events
[RFE] Flexible events
Status: CLOSED WONTFIX
Product: vdsm-jsonrpc-java
Classification: oVirt
Component: Core (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: Piotr Kliczewski
Pavel Stehlik
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 05:32 EST by Piotr Kliczewski
Modified: 2017-06-08 01:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-08 01:09:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oourfali: ovirt‑future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Piotr Kliczewski 2015-11-26 05:32:29 EST
Description of problem:

As a part of this rfe we want to have flexible eventing infrastructure which would not overload the client with data as well as it will aggregate data on the server side before sending it to the client(s). We can achieve it by implementing feedback loop where clients send demand to the server. Based on demand the solution would work in push or poll manner. In between demand frames being delivered the server will perform aggregation to send only latest data.
Comment 1 Yaniv Kaul 2015-11-26 10:21:33 EST
Severity?
Comment 2 Red Hat Bugzilla Rules Engine 2015-11-30 17:37:39 EST
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.
Comment 3 Oved Ourfali 2016-09-04 01:54:05 EDT
Moving to future, as the adoption for events doesn't yet requires such a mechanism.
Comment 4 Yaniv Kaul 2017-06-07 14:41:24 EDT
(In reply to Oved Ourfali from comment #3)
> Moving to future, as the adoption for events doesn't yet requires such a
> mechanism.

Can we close, as I don't see us investing in this?
Comment 5 Oved Ourfali 2017-06-08 01:09:36 EDT
I'll close for now. If we decide to invest here we can re-open.

Note You need to log in before you can comment on or make changes to this bug.